#ifndef SYNTH_MATH_H
#define SYNTH_MATH_H

#include "mb_interface.h"

u32 note_map_freq_inc(u8 note);
u32 calc_freq(u8 note, u8 transpose, u8 ratio, u8 fine);
u32 apply_pw(u32 basefreq, u16 wheelval);
u16 calc_kvs(u8 vel, u32 velsense, u32 outlevel);
u32 calc_op_krs(u8 note, u32 baserate, u8 scaleamount);

#endif
