#ifndef MIDI_DECODER_H
#define MIDI_DECODER_H

#include "midiin.h"
#include "midi.h"

enum messageType {
	NOTE_OFF = 0x80,
	NOTE_ON = 0x90,
	POLY_AT = 0xA0,
	CC = 0xB0,
	PC = 0xC0,
	AT = 0xD0,
	PW = 0xE0,
	SPECIAL = 0xF0
};

enum specialType {
	SYSEX_BEGIN = 0x00,
	SYSEX_END = 0x07
};

#define MIDI_TYPE_MASK (0x80)
#define MIDI_CHANNEL_MASK (0x0F)
#define MIDI_STATUS_MASK (0xF0)

void decodeMidi();

#endif
