#ifndef USBIO_H_
#define USBIO_H_

#include "xuartns550.h"

#define RECV_SIZE 6
#define BUFF_SIZE 64
#define incIt(itr) (itr + 1 == BUFF_SIZE? 0 : itr + 1); 

typedef struct {
  u8 data[RECV_SIZE];
} recvData;

volatile recvData RecvUsbBuffer[BUFF_SIZE];
volatile u8 usbInReadItr;
volatile u8 usbInWriteItr;

/* not used
typedef struct {
  u8* data;
  int length;
} sendData;

volatile u8 outgoingUsb;
sendData SendUsbBuffer[256];
volatile u8 usbOutReadItr;
volatile u8 usbOutWriteItr;
*/
int usbio_init(XUartNs550* InstancePtr, u16 DeviceId);

void usbin_int_handler(void *CallBackRef, u32 Event, unsigned int EventData);


/* not used
void sendUSB(XUartNs550* InstancePtr);
void sendUSBData(u8* data, int length); 
*/

#endif
